Subject: bug#31445: closed (Re: bug#31445: Command c-toggle-comment-style should be described in emacs-26 manual.)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 14 May 2018 16:30:03 +0000

Your bug report

#31445: Command c-toggle-comment-style should be described in emacs-26 manual.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31445: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31445
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31445: Command c-toggle-comment-style should be described in emacs-26 manual.
From: Eli Zaretskii <[email-masked]>
To: Takesi Ayanokoji <[email-masked]>
Cc: [email-masked]
Date: Mon, 14 May 2018 19:29:52 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Takesi Ayanokoji <[email-masked]>
> Date: Mon, 14 May 2018 09:23:53 +0900
> 
> In doc/emacs/programs.texi lines 1696-1699 describes
> 
> You can toggle electric action with the command
> @kbd{C-c C-l}; when it is enabled, @samp{/@var{c}l} appears in the
> mode line after the mode name (where @var{c}, if present, is @samp{*}
> or @samp{/}):
> 
> This is written in the descriptions for c-toggle-electric-state. This descriptions say about @var{c}, but I cannot
> found descriptions for it.
> 
> I think it should be described in this manual that what means @samp{*} or @samp{/}.
> 
> But I understand this letter is about to command  c-toggle-comment-style.
> 
> So I think it should be tescribed in this manual's 'Comments' section(or elsewhare appropriate)

This is CC Mode specific feature, and is fully described in the CC
Mode manual, a separate file.  I added a short explanation of what *
and / mean, and a cross-reference to the CC Mode manual.

Thanks.

Subject: Command c-toggle-comment-style should be described in emacs-26 manual.
From: Takesi Ayanokoji <[email-masked]>
To: [email-masked]
Date: Mon, 14 May 2018 09:23:53 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi emacs developers.

In doc/emacs/programs.texi lines 1696-1699 describes

You can toggle electric action with the command
@kbd{C-c C-l}; when it is enabled, @samp{/@var{c}l} appears in the
mode line after the mode name (where @var{c}, if present, is @samp{*}
or @samp{/}):

This is written in the descriptions for c-toggle-electric-state. This
descriptions say about @var{c}, but I cannot found descriptions for it.

I think it should be described in this manual that what means @samp{*} or
@samp{/}.

But I understand this letter is about to command  c-toggle-comment-style.

So I think it should be tescribed in this manual's 'Comments' section(or
elsewhare appropriate)

How is this?

Thanks.

ayatakesi <[email-masked]>